<?php

namespace Slack\Command;

use Slack\Message;
use Slack\Message\Attachment;

class Help extends Base
{
	private const LOGKEY = 'SH-';

	public function respond(): Message
	{
		$o = new Message;

		$o->setText('Hi, I am the a *NEW* Bot');

		// Version
		$a = new Attachment;
		$a->addField('Version',config('app.version'),TRUE);
		$o->addAttachment($a);

		return $o;
	}
}
